
From: Jeremy Fitzhardinge <jeremy@goop.org>

I've been getting quite a lot of people mailing me about this CPU.  It
seems Toshiba has released a machine with it.  It would be nice if this
patch gets into a kernel soonish.  It's very low-impact.



 25-akpm/arch/i386/kernel/cpu/cpufreq/speedstep-centrino.c |   11 +++++++++++
 1 files changed, 11 insertions(+)

diff -puN arch/i386/kernel/cpu/cpufreq/speedstep-centrino.c~centrino-1ghz-support arch/i386/kernel/cpu/cpufreq/speedstep-centrino.c
--- 25/arch/i386/kernel/cpu/cpufreq/speedstep-centrino.c~centrino-1ghz-support	Fri Nov 14 15:28:30 2003
+++ 25-akpm/arch/i386/kernel/cpu/cpufreq/speedstep-centrino.c	Fri Nov 14 15:28:30 2003
@@ -73,6 +73,16 @@ static struct cpufreq_frequency_table op
 	{ .frequency = CPUFREQ_TABLE_END }
 };
 
+/* Ultra Low Voltage Intel Pentium M processor 1000MHz */
+static struct cpufreq_frequency_table op_1000[] =
+  {
+    OP(600,  844),
+    OP(800,  972),
+    OP(900, 988),
+    OP(1000, 1004),
+    { .frequency = CPUFREQ_TABLE_END }
+  };
+
 /* Low Voltage Intel Pentium M processor 1.10GHz */
 static struct cpufreq_frequency_table op_1100[] =
 {
@@ -165,6 +175,7 @@ static struct cpufreq_frequency_table op
 static const struct cpu_model models[] = 
 {
        _CPU( 900, " 900"),
+       CPU(1000),
 	CPU(1100),
 	CPU(1200),
 	CPU(1300),

_
